package BankSystemGUI;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.Color;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.Font;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.border.LineBorder;

public class EinzahlungsFenster extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane;
	private JTextField betrag;
	private JButton einzahlen;
	
	public EinzahlungsFenster() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 566, 509);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JPanel panel = new JPanel();
		panel.setBorder(new LineBorder(new Color(64, 0, 64)));
		panel.setBackground(new Color(219, 219, 219));
		panel.setForeground(new Color(219, 219, 219));
		panel.setBounds(59, 54, 389, 328);
		contentPane.add(panel);
		panel.setLayout(null);
		
		JLabel betrag_text = new JLabel("Betrag eingeben: ");
		betrag_text.setFont(new Font("Tahoma", Font.BOLD, 14));
		betrag_text.setBounds(21, 40, 237, 36);
		panel.add(betrag_text);
		
		betrag = new JTextField();
		betrag.setBounds(21, 87, 129, 36);
		panel.add(betrag);
		betrag.setColumns(10);
		
		einzahlen = new JButton("Einzahlen");
		einzahlen.setBounds(21, 154, 168, 36);
		panel.add(einzahlen);
	}

	public String getBetrag() {
		return betrag.getText();
	}
	
	public void setBetrag(String betrag) {
		this.betrag.setText(betrag);
	}

	public JButton getEinzahlen() {
		return einzahlen;
	}
	
	public void zeige_fenster() {
		this.setVisible(true);
	}
	
	public void schließe_fenster() {
		this.setVisible(false);
	}
	
	public void zeige_Error(String error) {
		JOptionPane.showMessageDialog(this,error, "Fehler", JOptionPane.ERROR_MESSAGE);
	}
	

	public void zeige_message(String message) {
		JOptionPane.showMessageDialog(this,message, "Einzahlung", JOptionPane.INFORMATION_MESSAGE);
	}
	

}
